> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk upsert customer group product variant prices

> Creates or updates prices for product variants within customer groups and markets in bulk. Accepts up to 100 price items.



## OpenAPI

````yaml /swagger/management-api.json put /api/v1/{team_slug}/{app_slug}/customer-group-prices
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //api.enad.io
security: []
paths:
  /api/v1/{team_slug}/{app_slug}/customer-group-prices:
    put:
      tags:
        - CustomerGroups
      summary: Bulk upsert customer group product variant prices
      description: >-
        Creates or updates prices for product variants within customer groups
        and markets in bulk. Accepts up to 100 price items.
      parameters:
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
        - description: Team slug
          in: path
          name: team_slug
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/internal_pkg_webserver_v1.InputCustomerGroupProductVariantPrices
        description: Prices data
        required: true
      responses:
        '200':
          description: Prices created or updated successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_pkg_webserver_v1.OkResponseCustomerGroupProductVariantPrice
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  schemas:
    internal_pkg_webserver_v1.InputCustomerGroupProductVariantPrices:
      properties:
        prices:
          items:
            $ref: >-
              #/components/schemas/internal_pkg_webserver_v1.InputCustomerGroupProductVariantPriceItem
          maxItems: 100
          type: array
      required:
        - prices
      type: object
    internal_pkg_webserver_v1.OkResponseCustomerGroupProductVariantPrice:
      properties:
        data:
          $ref: >-
            #/components/schemas/internal_pkg_webserver_v1.CustomerGroupProductVariantPricesResponse
        details:
          description: >-
            Additional contextual information about the response. Used to
            provide supplementary details beyond the main data payload, such as
            validation warnings or processing notes
          items:
            type: string
          type: array
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.InputCustomerGroupProductVariantPriceItem:
      properties:
        customer_group_id:
          type: string
        market_id:
          type: string
        price_amount:
          description: Price is in minor units
          minimum: 0
          type: integer
        product_variant_id:
          type: string
      required:
        - customer_group_id
        - market_id
        - product_variant_id
      type: object
    internal_pkg_webserver_v1.CustomerGroupProductVariantPricesResponse:
      properties:
        failed:
          items:
            $ref: >-
              #/components/schemas/internal_pkg_webserver_v1.CustomerGroupProductVariantPriceFailedOp
          type: array
        successful:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupProductVariantPrice
          type: array
      type: object
    internal_pkg_webserver_v1.CustomerGroupProductVariantPriceFailedOp:
      properties:
        customer_group_id:
          type: string
        market_id:
          type: string
        product_variant_id:
          type: string
        reason:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupProductVariantPrice:
      properties:
        created_at:
          type: string
        customer_group:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupRef
        id:
          type: string
        market:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupPriceMarket
        price_amount:
          type: integer
        product_variant:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupPriceVariantRef
        updated_at:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupRef:
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupPriceMarket:
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupPriceVariantRef:
      properties:
        id:
          type: string
        variant_name:
          type: string
      type: object

````